- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Grid

## Functions
EOAPI void | elm_obj_grid_size_set (Evas_Coord w, Evas_Coord h)
| Set the virtual size of the grid. More...
EOAPI void | elm_obj_grid_size_get (Evas_Coord *w, Evas_Coord *h)
| Get the virtual size of the grid. More...
EOAPI Eina_List * | elm_obj_grid_children_get (void)
| Get the list of the children for the grid. More...
EOAPI void | elm_obj_grid_clear (Eina_Bool clear)
| Faster way to remove all child objects from a grid object. More...
EOAPI void | elm_obj_grid_unpack (Evas_Object *subobj)
| Unpack a child from a grid object. More...
EOAPI void | elm_obj_grid_pack (Evas_Object *subobj, Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Pack child at given position and size. More...
void | elm_grid::clear (bool clear_) const
| Faster way to remove all child objects from a grid object. More...
void | elm_grid::unpack (evas::object subobj_) const
| Unpack a child from a grid object. More...
void | elm_grid::pack (evas::object subobj_, Evas_Coord x_, Evas_Coord y_, Evas_Coord w_, Evas_Coord h_) const
| Pack child at given position and size. More...
void | elm_grid_size_set (Eo *obj, Evas_Coord w, Evas_Coord h)
| Set the virtual size of the grid. More...
void | elm_grid_size_get (const Eo *obj, Evas_Coord *w, Evas_Coord *h)
| Get the virtual size of the grid. More...
Eina_List * | elm_grid_children_get (const Eo *obj)
| Get the list of the children for the grid. More...
void | elm_grid_clear (Eo *obj, Eina_Bool clear)
| Faster way to remove all child objects from a grid object. More...
void | elm_grid_unpack (Eo *obj, Evas_Object *subobj)
| Unpack a child from a grid object. More...
void | elm_grid_pack (Eo *obj, Evas_Object *subobj, Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Pack child at given position and size. More...
Evas_Object * | elm_grid_add (Evas_Object *parent)
| Add a new grid to the parent. More...
void | elm_grid_pack_set (Evas_Object *subobj, Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Set packing of an existing child at to position and size. More...
void | elm_grid_pack_get (Evas_Object *subobj, Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)
| Get packing of a child. More...

## Detailed Description

The grid is a grid layout widget that lays out a series of children as a fixed "grid" of widgets using a given percentage of the grid width and height each using the child object.

The Grid uses a "Virtual resolution" that is stretched to fill the grid widgets size itself. The default is 100 x 100, so that means the position and sizes of children will effectively be percentages (0 to 100) of the width or height of the grid widget

## Function Documentation

void elm_grid::clear | ( | bool | clear_ | ) | const
| inline

Faster way to remove all child objects from a grid object.

Parameters

  clear | If true, it will delete just removed children

References elm_obj_grid_clear().

Evas_Object* elm_grid_add | ( | Evas_Object * | parent | ) |

Add a new grid to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

Eina_List* elm_grid_children_get | ( | const Eo * | obj | ) |

Get the list of the children for the grid.

Note
  This is a duplicate of the list kept by the grid internally. It's up to the user to destroy it when it no longer needs it. It's possible to remove objects from the grid when walking this list, but these removals won't be reflected on it.

References elm_obj_grid_children_get().

void elm_grid_clear | ( | Eo * | obj,
|  | Eina_Bool | clear
| ) |  |

Faster way to remove all child objects from a grid object.

Parameters

  [in] | clear | If true, it will delete just removed children

References elm_obj_grid_clear().

void elm_grid_pack | ( | Eo * | obj,
|  | Evas_Object * | subobj,
|  | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Pack child at given position and size.

Parameters

  [in] | subobj | The child to pack
  [in] | x | The virtual x coord at which to pack it
  [in] | y | The virtual y coord at which to pack it
  [in] | w | The virtual width at which to pack it
  [in] | h | The virtual height at which to pack it

References elm_obj_grid_pack().

void elm_grid_pack_get | ( | Evas_Object * | subobj,
|  | Evas_Coord * | x,
|  | Evas_Coord * | y,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Get packing of a child.

Parameters

  subobj | The child to query
  x | Pointer to integer to store the virtual x coord
  y | Pointer to integer to store the virtual y coord
  w | Pointer to integer to store the virtual width
  h | Pointer to integer to store the virtual height

void elm_grid_pack_set | ( | Evas_Object * | subobj,
|  | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Set packing of an existing child at to position and size.

Parameters

  subobj | The child to set packing of
  x | The virtual x coord at which to pack it
  y | The virtual y coord at which to pack it
  w | The virtual width at which to pack it
  h | The virtual height at which to pack it

void elm_grid_size_get | ( | const Eo * | obj,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Get the virtual size of the grid.

Parameters

  [out] | w | The virtual width of the grid
  [out] | h | The virtual height of the grid

References elm_obj_grid_size_get().

void elm_grid_size_set | ( | Eo * | obj,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Set the virtual size of the grid.

Parameters

  [in] | w | The virtual width of the grid
  [in] | h | The virtual height of the grid

References elm_obj_grid_size_set().

void elm_grid_unpack | ( | Eo * | obj,
|  | Evas_Object * | subobj
| ) |  |

Unpack a child from a grid object.

Parameters

  [in] | subobj | The child to unpack

References elm_obj_grid_unpack().

EOAPI Eina_List* elm_obj_grid_children_get | ( | void |  | ) |

Get the list of the children for the grid.

Note
  This is a duplicate of the list kept by the grid internally. It's up to the user to destroy it when it no longer needs it. It's possible to remove objects from the grid when walking this list, but these removals won't be reflected on it.

Referenced by elm_grid_children_get().

EOAPI void elm_obj_grid_clear | ( | Eina_Bool | clear | ) |

Faster way to remove all child objects from a grid object.

Parameters

  [in] | clear | If true, it will delete just removed children

Referenced by elm_grid::clear(), and elm_grid_clear().

EOAPI void elm_obj_grid_pack | ( | Evas_Object * | subobj,
|  | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Pack child at given position and size.

Parameters

  [in] | subobj | The child to pack
  [in] | x | The virtual x coord at which to pack it
  [in] | y | The virtual y coord at which to pack it
  [in] | w | The virtual width at which to pack it
  [in] | h | The virtual height at which to pack it

Referenced by elm_grid_pack(), and elm_grid::pack().

EOAPI void elm_obj_grid_size_get | ( | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Get the virtual size of the grid.

Parameters

  [out] | w | The virtual width of the grid
  [out] | h | The virtual height of the grid

Referenced by elm_grid_size_get().

EOAPI void elm_obj_grid_size_set | ( | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Set the virtual size of the grid.

Parameters

  [in] | w | The virtual width of the grid
  [in] | h | The virtual height of the grid

Referenced by elm_grid_size_set().

EOAPI void elm_obj_grid_unpack | ( | Evas_Object * | subobj | ) |

Unpack a child from a grid object.

Parameters

  [in] | subobj | The child to unpack

Referenced by elm_grid_unpack(), and elm_grid::unpack().

void elm_grid::pack | ( | evas::object | subobj_,
|  | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | Evas_Coord | w_,
|  | Evas_Coord | h_
| ) |  | const
| inline

Pack child at given position and size.

Parameters

  subobj | The child to pack
  x | The virtual x coord at which to pack it
  y | The virtual y coord at which to pack it
  w | The virtual width at which to pack it
  h | The virtual height at which to pack it

References elm_obj_grid_pack().

void elm_grid::unpack | ( | evas::object | subobj_ | ) | const
| inline

Unpack a child from a grid object.

Parameters

  subobj | The child to unpack

References elm_obj_grid_unpack().